NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
NXOpen.CAE.OrderedSelection Class Reference

Represents list of ordered selection entitites More...

Inheritance diagram for NXOpen.CAE.OrderedSelection:
NXOpen.TaggedObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void Add (NXOpen.CAE.MeshPoint entity)
 Adds a mesh point to the list More...
 
unsafe void Add (NXOpen.Point entity)
 Adds a point to the list More...
 
unsafe void Add (NXOpen.CAE.FENode entity)
 Adds a node to the list More...
 
unsafe void Add (NXOpen.CAE.FEElement entity)
 Adds a element to the list More...
 
unsafe void Add (NXOpen.CAE.CAEEdge entity, bool flipDirection)
 Adds a polygon edge to the list More...
 
unsafe void Add (NXOpen.Line entity, bool flipDirection)
 Adds a line to the list More...
 
unsafe void Add (NXOpen.Arc entity, bool flipDirection)
 Adds a arc to the list More...
 
unsafe void Add (NXOpen.Conic entity, bool flipDirection)
 Adds a conic to the list More...
 
unsafe void Add (NXOpen.Spline entity, bool flipDirection)
 Adds a spline to the list More...
 
unsafe void Add (NXOpen.SelectionMethod selectionMethod)
 Adds objects contained in the method to the list More...
 
unsafe void Clear ()
 Removes all objects from the list More...
 
unsafe void Remove (NXOpen.TaggedObject entity)
 Removes a tagged object from the list More...
 
unsafe void Remove (NXOpen.SelectionMethod selectionMethod)
 Removes objects contained in the method from the list More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents list of ordered selection entitites

Created in NX11.0.0

Member Function Documentation

unsafe void NXOpen.CAE.OrderedSelection.Add ( NXOpen.CAE.MeshPoint  entity)
inline

Adds a mesh point to the list

Created in NX11.0.0

License requirements: None.

Parameters
entitymesh point to be added
unsafe void NXOpen.CAE.OrderedSelection.Add ( NXOpen.Point  entity)
inline

Adds a point to the list

Created in NX11.0.0

License requirements: None.

Parameters
entitypoint to be added
unsafe void NXOpen.CAE.OrderedSelection.Add ( NXOpen.CAE.FENode  entity)
inline

Adds a node to the list

Created in NX11.0.0

License requirements: None.

Parameters
entitynode to be added
unsafe void NXOpen.CAE.OrderedSelection.Add ( NXOpen.CAE.FEElement  entity)
inline

Adds a element to the list

Created in NX11.0.0

License requirements: None.

Parameters
entitynode to be added
unsafe void NXOpen.CAE.OrderedSelection.Add ( NXOpen.CAE.CAEEdge  entity,
bool  flipDirection 
)
inline

Adds a polygon edge to the list

Created in NX11.0.0

License requirements: None.

Parameters
entitypoint to be added
flipDirectionflip the direction of edge
unsafe void NXOpen.CAE.OrderedSelection.Add ( NXOpen.Line  entity,
bool  flipDirection 
)
inline

Adds a line to the list

Created in NX11.0.0

License requirements: None.

Parameters
entitypoint to be added
flipDirectionflip the direction of line
unsafe void NXOpen.CAE.OrderedSelection.Add ( NXOpen.Arc  entity,
bool  flipDirection 
)
inline

Adds a arc to the list

Created in NX11.0.0

License requirements: None.

Parameters
entitypoint to be added
flipDirectionflip the direction of arc
unsafe void NXOpen.CAE.OrderedSelection.Add ( NXOpen.Conic  entity,
bool  flipDirection 
)
inline

Adds a conic to the list

Created in NX11.0.0

License requirements: None.

Parameters
entitypoint to be added
flipDirectionflip the direction of conic
unsafe void NXOpen.CAE.OrderedSelection.Add ( NXOpen.Spline  entity,
bool  flipDirection 
)
inline

Adds a spline to the list

Created in NX11.0.0

License requirements: None.

Parameters
entitypoint to be added
flipDirectionflip the direction of spline
unsafe void NXOpen.CAE.OrderedSelection.Add ( NXOpen.SelectionMethod  selectionMethod)
inline

Adds objects contained in the method to the list

Created in NX11.0.0

License requirements: None.

Parameters
selectionMethodselection method containing objects to add
unsafe void NXOpen.CAE.OrderedSelection.Clear ( )
inline

Removes all objects from the list

Created in NX11.0.0

License requirements: None.

unsafe void NXOpen.CAE.OrderedSelection.Remove ( NXOpen.TaggedObject  entity)
inline

Removes a tagged object from the list

Created in NX11.0.0

License requirements: None.

Parameters
entityobject to be removed
unsafe void NXOpen.CAE.OrderedSelection.Remove ( NXOpen.SelectionMethod  selectionMethod)
inline

Removes objects contained in the method from the list

Created in NX11.0.0

License requirements: None.

Parameters
selectionMethodselection method containing objects to remove

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.